Subject: [Detnet] Murray Kucherawy's No Objection on draft-ietf-detnet-data-plane-framework-04: (with COMMENT)

From: Murray Kucherawy via Datatracker <[email-masked]>
Date: Sun, 12 Apr 2020 12:38:23 -0700

Murray Kucherawy has entered the following ballot position for
draft-ietf-detnet-data-plane-framework-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-data-plane-framework/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Editorial nits mostly.  The more interesting stuff first:

Throughout the document, various terms are sometimes capitalized and sometimes
not.  A pass should be done to make this uniform throughout the document.  This
becomes especially confusing in Section 3.6.2.1.  Examples: "App-flows".
"Service sub-layer", "Forwarding sub-layer", "Packet".

Section 2.2:
* "CW" by itself doesn't appear anywhere in this document.  Neither do "LSR",
"MPLS-TE", or "PW".

Section 3.1:
* Given the sentence in 3.1, I would expect the "technology" and
"encapsulation" sections to be at the same level in the Table Of Contents tree,
but they aren't.  That is, since "Data Plane Technology" is 3.1.1, I would
expect "Encapsulation" to be 3.1.2.  Is some adjustment in order here?

Section 3.3:
* This paragraph needs a bit of editing:
-- OLD --
   Metadata can be included implicit or explicit.  Explicit means that a
   dedicated header field is used to include metadata in a DetNet
   packet.  In case of implicit method a part of an already existing
   header field is used to encode the metadata.
-- SUGGEST --
   Metadata inclusion can be implicit or explicit.  Explicit inclusions
   involve a dedicated header field that is used to include metadata
   in a DetNet packet.  In the implicit method, part of an already existing
   header field is used to encode the metadata.

Section 3.6.1.2:
* "Use of a specific path for a flow." -- this isn't a sentence; suggest: "A
flow can be routed over a specific, pre-computed path."

Section 3.6.1.3:
* "Use of multiple packet streams using multiple paths, for example 1+1 or 1:1
linear protection." -- again not a sentence; maybe start with "Service
protection involves use of ..."

Section 3.6.1.8:
* "... are currently out of scope for this document." -- remove "currently";
these issues won't be in scope for this document later

Section 3.6.2.1:
* "An OAM scheme that monitors the paths detects the loss of path or traffic is
required to initiate the switch." -- I can't parse this sentence.  Maybe
"detects" should be "to detect"?

Section 3.6.3:
* "the sum of the reservations should be the sum of all the individual
reservations" -- there may be a term of art in play here, but that phrase seems
self-redundant; what else could the latter be but the former?

Section 4.2.1:
-- OLD --
         The assignment of resources along the path depends on the
         technology and it includes assignment of specific links and
         coordination of the queuing and other traffic management
         capabilities such as policing and shaping.
-- NEW --
The assignment of resources along the path depends on the technology
and includes assignment of specific links, coordination of queueing, and
other traffic management capabilities such as policing and shaping.

And now the boring stuff, to save the RFC Editor some work:

Section 1:
* "Different application flows (e.g., Ethernet, IP, etc.), can be mapped on top
of DetNet." -- remove the comma

Section 3:
* "Figure 1 reproduced from the [RFC8655],shows ..." -- remove "the" and
replace the comma with a space * "The ordering (POF) uses sequence numbers ..."
-- should probably be "The ordering function (POF) uses sequence numbers ..."

Section 3.3:
* "... can provide or carry metadata:" -- add "the following" after "carry"

Section 3.4:
* "... for example GRE, IPSec etc." -- comma after "IPSec"

Section 3.5:
* "... the d-CW [I-D.ietf-detnet-mpls], [RFC4385],can be used." -- add a space
before "can" * "... no architectural constraint on its size of this structure
... -- s/its/the/

Section 3.6.1.2:
* "... for a certain characteristic e.g. highest ..." -- s/characteristic e.g.
highest/characteristic, e.g., highest/

Section 3.6.1.3:
* "For DetNet this primarily ..." -- add a comma after "DetNet"

Section 3.6.1.4:
* "Network Coding, [nwcrg] not to ..." -- move the comma to after "[nwcrg]"
* "DetNet could utilized Network coding ..." -- s/utilized/utilize/ (or simply
"use")

Section 3.6.2:
* "Service protection allow DetNet services ..." -- s/allow/allows/

Section 3.6.2.1:
* "Figure 3: Example Packet Flow in DetNet protected Network" -- capitalize
"protected" * "copy of packet 1.2 etc." -- add a comma after "1.2" *
"...entities shown in Figure 3 ." -- s/3 ./3./ * "... traffic at a time, could
use the ..." -- remove comma

Section 3.6.2.3:
* "Many of the same concepts apply however rings ..." -- add a comma after
"apply"

Section 3.6.3:
* "When aggregating DetNet flows the flows should ..." -- add a comma after the
first "flows" * "... should be compatible i.e. the same ..." -- s/compatible
i.e./compatible, i.e.,/ * "When an encapsulation is used the choice ..." -- add
comma after "used"

Section 3.6.5:
* "L2 represent a generic ..." s/represent/represents/

Section 4.1.:
* The second citation of RFC8655 in the first paragraph is probably not needed.

Section 4.2:
* "While management plane and control planes ..." -- maybe "While the
management and control planes ..." * Add a comma after "For example" in the
last paragraph.

Section 4.2.1:
* "... provisioned or requested one or more ..." -- add comma after "requested"

Section 4.2.4:
-- OLD --
An example control plane solution for MPLS can be
   found in [RFC3473] , [RFC6387] and [RFC7551].
-- NEW --
Example control plane solutions for MPLS can be found in
[RFC3473], [RFC6387], and [RFC7551].

---

From: Balázs Varga A <[email-masked]>
Date: Wed, 15 Apr 2020 13:43:59 +0000

Hi Murray,
Many thanks for your comments and suggestions.
I am working on next version of the draft. It will 
incorporate all of your comments.
Thanks
Bala'zs

-----Original Message-----
From: Murray Kucherawy via Datatracker <[email-masked]> 
Sent: Sunday, April 12, 2020 9:38 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Ethan Grossman <[email-masked]>
Subject: Murray Kucherawy's No Objection on draft-ietf-detnet-data-plane-framework-04: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Throughout the document, various terms are sometimes capitalized and sometimes not.  A pass should be done to make this uniform throughout the document.  This becomes especially confusing in Section 3.6.2.1.  Examples: "App-flows".
"Service sub-layer", "Forwarding sub-layer", "Packet".

Section 2.2:
* "CW" by itself doesn't appear anywhere in this document.  Neither do "LSR", "MPLS-TE", or "PW".

Section 3.1:
* Given the sentence in 3.1, I would expect the "technology" and "encapsulation" sections to be at the same level in the Table Of Contents tree, but they aren't.  That is, since "Data Plane Technology" is 3.1.1, I would expect "Encapsulation" to be 3.1.2.  Is some adjustment in order here?

Section 3.3:

Section 3.6.1.2:
* "Use of a specific path for a flow." -- this isn't a sentence; suggest: "A flow can be routed over a specific, pre-computed path."

Section 3.6.1.3:
* "Use of multiple packet streams using multiple paths, for example 1+1 or 1:1 linear protection." -- again not a sentence; maybe start with "Service protection involves use of ..."

Section 3.6.1.8:
* "... are currently out of scope for this document." -- remove "currently"; these issues won't be in scope for this document later

Section 3.6.2.1:
* "An OAM scheme that monitors the paths detects the loss of path or traffic is required to initiate the switch." -- I can't parse this sentence.  Maybe "detects" should be "to detect"?

Section 3.6.3:
* "the sum of the reservations should be the sum of all the individual reservations" -- there may be a term of art in play here, but that phrase seems self-redundant; what else could the latter be but the former?

Section 4.2.1:
-- OLD --
The assignment of resources along the path depends on the technology and includes assignment of specific links, coordination of queueing, and other traffic management capabilities such as policing and shaping.

Section 1:
* "Different application flows (e.g., Ethernet, IP, etc.), can be mapped on top of DetNet." -- remove the comma

Section 3:
* "Figure 1 reproduced from the [RFC8655],shows ..." -- remove "the" and replace the comma with a space * "The ordering (POF) uses sequence numbers ..."
-- should probably be "The ordering function (POF) uses sequence numbers ..."

Section 3.3:

Section 3.4:

Section 3.5:
* "... the d-CW [I-D.ietf-detnet-mpls], [RFC4385],can be used." -- add a space before "can" * "... no architectural constraint on its size of this structure ... -- s/its/the/

Section 3.6.1.2:

Section 3.6.1.3:

Section 3.6.1.4:

Section 3.6.2:

Section 3.6.2.1:
* "Figure 3: Example Packet Flow in DetNet protected Network" -- capitalize "protected" * "copy of packet 1.2 etc." -- add a comma after "1.2" * "...entities shown in Figure 3 ." -- s/3 ./3./ * "... traffic at a time, could use the ..." -- remove comma

Section 3.6.2.3:
* "Many of the same concepts apply however rings ..." -- add a comma after "apply"

Section 3.6.3:
* "When aggregating DetNet flows the flows should ..." -- add a comma after the first "flows" * "... should be compatible i.e. the same ..." -- s/compatible i.e./compatible, i.e.,/ * "When an encapsulation is used the choice ..." -- add comma after "used"

Section 3.6.5:

Section 4.1.:

Section 4.2:
* "While management plane and control planes ..." -- maybe "While the management and control planes ..." * Add a comma after "For example" in the last paragraph.

Section 4.2.1:

Section 4.2.4:
-- OLD --
An example control plane solution for MPLS can be
   found in [RFC3473] , [RFC6387] and [RFC7551].
-- NEW --
Example control plane solutions for MPLS can be found in [RFC3473], [RFC6387], and [RFC7551].